camera = {
		x = 0,
		y = 0,
		zoom = 1,
		speed = 512
	}

function camera:initialize()
	self.x = (player.x * tile_size) - (screen.width / 2) - (tile_size / 2)
	self.y = (player.y * tile_size) - (screen.height / 2) - (tile_size / 2)
end

function camera:set()
	love.graphics.push()
	love.graphics.scale(1 / self.zoom, 1 / self.zoom)
	love.graphics.translate(-self.x, -self.y)
end

function camera:unset()
	love.graphics.pop()
end

function camera:getMouse()
	local x = love.mouse.getX() * self.zoom + self.x
	local y = love.mouse.getY() * self.zoom + self.y
	return x, y
end